Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class IsNullFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.ExtractorFilter
com.tangosol.util.filter.ComparisonFilter
com.tangosol.util.filter.EqualsFilter
com.tangosol.util.filter.IsNullFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, IndexAwareFilter, java.io.Serializable

      public class IsNullFilter

extends EqualsFilter

Filter which compares the result of a method invocation with null.

Author:
  cp/gg 2002.10.27

Field Summary

Fields inherited from class com.tangosol.util.filter.ComparisonFilter
`m_oValue`

Fields inherited from class com.tangosol.util.filter.ExtractorFilter
`EVAL_COST, m_extractor`

Constructor Summary
`IsNullFilter()` Default constructor (necessary for the ExternalizableLite interface).
`IsNullFilter(java.lang.String sMethod)` Construct a IsNullFilter for testing equality to null.

Method Summary

Methods inherited from class com.tangosol.util.filter.EqualsFilter
`applyIndex, calculateEffectiveness, evaluateExtracted`

Methods inherited from class com.tangosol.util.filter.ComparisonFilter
`calculateIteratorEffectiveness, calculateMatchEffectiveness, calculateRangeEffectiveness, equals, getValue, hashCode, readExternal, readExternal, toString, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.filter.ExtractorFilter
`evaluate, evaluateEntry, extract, getValueExtractor`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Methods inherited from interface com.tangosol.util.filter.EntryFilter
`evaluateEntry`

Methods inherited from interface com.tangosol.util.Filter
`evaluate`

Constructor Detail

### IsNullFilter

    public IsNullFilter()

  Default constructor (necessary for the ExternalizableLite interface).

### IsNullFilter

    public IsNullFilter(java.lang.String sMethod)

  Construct a IsNullFilter for testing equality to null.
  Parameters:
    `sMethod` - the name of the method to invoke via reflection

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.